-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt

local M = {}

local function onInit()
	electrics.values['adf'] = 0
end

local function onReset()
	onInit()
end

local function updateGFX(dt)
  --get dir
  local dir = obj:getPosition()
  dir:normalize() 
  
  --get angle
  electrics.values['adf'] = math.atan2(dir.y, dir.x) * 180 /math.pi
end

-- public interface
M.onInit      = onInit
M.onReset     = onReset
M.updateGFX = updateGFX

return M